API ReferenceContracts
Get Payments
This API call retrieves all payments for a particular contract.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
contractNumber*string
Query Parameters
issuesOnly?boolean
Filter to payments with issues only
accountNumber?string
Client account number
Response Body
application/json
application/json
curl -X GET "https://example.com/v2/contracts/string/payments"[ { "fxDetail": { "buy": { "amount": 80, "currency": "GBP" }, "fixedAmountType": "NotSet", "rate": { "baseCurrency": "GBP", "buyCurrency": "GBP", "inverseRate": 0, "rate": 0, "sellCurrency": "GBP" }, "remainingBuyForward": { "amount": 80, "currency": "GBP" }, "remainingSellForward": { "amount": 80, "currency": "GBP" }, "sell": { "amount": 80, "currency": "GBP" } }, "identifier": { "clientReference": "C124863", "xePaymentId": "P124863" }, "isExcluded": true, "issues": [ { "description": "string", "issueId": 0 } ], "payoutInformation": { "dateSentToRecipient": "2019-08-24T14:15:22Z", "expectedPaymentDate": "2019-08-24", "feeAmount": { "amount": 80, "currency": "GBP" }, "payoutAmount": { "amount": 80, "currency": "GBP" } }, "recipientName": "string", "validationStatus": "Approved", "buyAmount": { "amount": 80, "currency": "GBP" }, "clientReference": "string", "effectiveDate": "2019-08-24", "paymentReference": "string", "purpose": "string", "purposeOfPaymentCode": "string", "sellAmount": { "amount": 80, "currency": "GBP" } }]{ "code": 0, "failureDateTime": "2019-08-24T14:15:22Z", "longErrorMsg": "string", "shortErrorMsg": "string", "traceErrorId": "string", "typeOfFailure": "MODEL_VALIDATION"}Empty
Empty
Empty